#include <ncurses.h>

int main() {
    int c, x, y;
    MEVENT event;

    initscr();
    raw();
    keypad(stdscr, TRUE);
    noecho();
    clear();
    cbreak();

    mousemask(ALL_MOUSE_EVENTS, NULL); // catch all events

    while ((c = getch()) != 'q') {
        if (c == KEY_MOUSE && getmouse(&event) == OK) {
            x = event.x, y = event.y;
            if (event.bstate & BUTTON1_PRESSED)
                mvprintw(0, 0, "left btn click at (%d,%d)\n", x, y);
            if (event.bstate & BUTTON3_PRESSED)
                mvprintw(0, 0, "right btn click at (%d,%d)\n", x, y);
            // more handling here
            refresh();
        }
    }

    endwin();
    return 0;
}
